Apt-get install terminator

E: could not open lock file /var/lib/dpkg/lock-front-ent - open (13: Permission denied)
e: unable to acquire the dpkg front lock (/var/lib/dpk/lock-frontend), are you root?

That error usually indicates that you tried to install or remove software without root privileges.

If you aren’t on the root account, use “sudo” before the apt command to run the package manager as root. For example:

sudo apt update

I already did the sudo apt update, but when i try to do apt-get install terminator same error message

Are you putting “sudo” in front of “apt-get” for that command? You’ll need the elevated privileges to install software too.

I can’t think of a circumstance where “sudo apt update” would work but “sudo apt install terminator” would throw a permissions error on the lock file. If another process was running an install that would throw a similar error, but not the same one - it would say the resource isn’t available instead of permission denied.